public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/xen-pvgrub/
Date: Sun,  6 Oct 2019 12:45:41 +0000 (UTC)	[thread overview]
Message-ID: <1570365871.a7b3e60c8f5a949a10f072a74648bc86fd7fbfad.whissi@gentoo> (raw)

commit:     a7b3e60c8f5a949a10f072a74648bc86fd7fbfad
Author:     Tomas Mozes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Tue Jul  2 12:03:11 2019 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sun Oct  6 12:44:31 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7b3e60c

app-emulation/xen-pvgrub: bump to 4.11.2

Signed-off-by: Tomáš Mózes <hydrapolic <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/12377
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 app-emulation/xen-pvgrub/Manifest                 |   1 +
 app-emulation/xen-pvgrub/xen-pvgrub-4.11.2.ebuild | 163 ++++++++++++++++++++++
 2 files changed, 164 insertions(+)

diff --git a/app-emulation/xen-pvgrub/Manifest b/app-emulation/xen-pvgrub/Manifest
index 37e7420046d..58e31d19f42 100644
--- a/app-emulation/xen-pvgrub/Manifest
+++ b/app-emulation/xen-pvgrub/Manifest
@@ -5,5 +5,6 @@ DIST pciutils-2.2.9.tar.bz2 212265 BLAKE2B 014b664e90c64e7255c9e21fc25a2cc60d57f
 DIST polarssl-1.1.4-gpl.tgz 611340 BLAKE2B 613da06dda9e4b86db5a4d616a0a0afee98c907c3c6b352eed3d9e500fc5739e62eb4f6fc32ff02579c6a6de9bd49fcd2c8bd8b2d158a5050cbaa82118d61ef0 SHA512 88da614e4d3f4409c4fd3bb3e44c7587ba051e3fed4e33d526069a67e8180212e1ea22da984656f50e290049f60ddca65383e5983c0f8884f648d71f698303ad
 DIST xen-4.10.3.tar.gz 24695778 BLAKE2B 50a9e31fb4cf587eeedb357fc710405a1cd4506174a38eb9b032a0cdd9b7f7343d98624ecb07cf605b1403664c7117cdc8f011290309caa18ca9604b4008b906 SHA512 030d23109ce4c0ebf50ade6841d5525a39032bcf8fd0599ccaa9502ff301c1f61f9c5f49233b41a5934a71228958febc1e529a9fc6822ba401a0c18c490ad412
 DIST xen-4.11.1.tar.gz 25152217 BLAKE2B a8dfbeb3d490787725c589e1ce82dcbbcd0be7fb4743b38daf3a8704dffda34d1faabb07d74e01d2fab1572ce0b730c21192469317545e8b3edb3fae1130ef8c SHA512 c1655c5decdaed95a2b9a99652318cfc72f6cfdae957cfe60d635f7787e8850f33e8fafc4c4b8d61fb579c9b9d93028a6382903e71808a0418b931e76d72a649
+DIST xen-4.11.2.tar.gz 25164925 BLAKE2B 11adea16d93235af5807e6e3784e0fc36ce34f274a85d1976a5c8ad36a323437216b0cf6bb6cb13b00e1e838e319a9f8f4b9c417870eef9ed660f22274d81310 SHA512 48d3d926d35eb56c79c06d0abc6e6be2564fadb43367cc7f46881c669a75016707672179c2cca1c4cfb14af2cefd46e2e7f99470cddf7df2886d8435a2de814e
 DIST xen-4.12.0.tar.gz 26949697 BLAKE2B 9175cc9054e4a2b5c34df89a4efd667f86b4861bef9c3310bf431d041f710a7cb265b4d34a76ab18a17a3121392942d2e5d76c5044eb9b957d4255af889fe69a SHA512 0ce366dcac607c9b592c5e9c0f40652eef743913b246bed4b0c380b8d59ac23a6adcd05befec37fc799a61476f47df76d4911cbf1da6ceb51441c546bf2464de
 DIST zlib-1.2.3.tar.gz 496597 BLAKE2B 603020b70cd52b83e48bde420b86e2acfd29d69bf7476eecbeeb07d1b8bcab703d2cbd3eab77772990bddb8c268f13594592ce985798d49e2d6ba25104d49f22 SHA512 021b958fcd0d346c4ba761bcf0cc40f3522de6186cf5a0a6ea34a70504ce9622b1c2626fce40675bc8282cf5f5ade18473656abc38050f72f5d6480507a2106e

diff --git a/app-emulation/xen-pvgrub/xen-pvgrub-4.11.2.ebuild b/app-emulation/xen-pvgrub/xen-pvgrub-4.11.2.ebuild
new file mode 100644
index 00000000000..90600bb0eee
--- /dev/null
+++ b/app-emulation/xen-pvgrub/xen-pvgrub-4.11.2.ebuild
@@ -0,0 +1,163 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE='xml,threads'
+
+inherit flag-o-matic multilib python-single-r1 toolchain-funcs
+
+XEN_EXTFILES_URL="http://xenbits.xensource.com/xen-extfiles"
+LIBPCI_URL=ftp://atrey.karlin.mff.cuni.cz/pub/linux/pci
+GRUB_URL=mirror://gnu-alpha/grub
+
+UPSTREAM_VER=
+[[ -n ${UPSTREAM_VER} ]] && \
+	UPSTREAM_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${P/-pvgrub/}-upstream-patches-${UPSTREAM_VER}.tar.xz
+		https://github.com/hydrapolic/gentoo-dist/raw/master/xen/${P/-pvgrub/}-upstream-patches-${UPSTREAM_VER}.tar.xz"
+
+SRC_URI="
+		https://downloads.xenproject.org/release/xen/${PV}/xen-${PV}.tar.gz
+		$GRUB_URL/grub-0.97.tar.gz
+		$XEN_EXTFILES_URL/zlib-1.2.3.tar.gz
+		$LIBPCI_URL/pciutils-2.2.9.tar.bz2
+		$XEN_EXTFILES_URL/lwip-1.3.0.tar.gz
+		$XEN_EXTFILES_URL/newlib/newlib-1.16.0.tar.gz
+		$XEN_EXTFILES_URL/polarssl-1.1.4-gpl.tgz
+		${UPSTREAM_PATCHSET_URI}"
+
+S="${WORKDIR}/xen-${PV}"
+
+DESCRIPTION="allows to boot Xen domU kernels from a menu.lst laying inside guest filesystem"
+HOMEPAGE="https://www.xenproject.org"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="custom-cflags"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="sys-devel/gettext
+	sys-devel/bin86
+	sys-apps/texinfo
+	x11-libs/pixman"
+
+RDEPEND="${PYTHON_DEPS}
+	>=app-emulation/xen-tools-${PV}"
+
+pkg_setup() {
+	python-single-r1_pkg_setup
+}
+
+retar-externals() {
+	# Purely to unclutter src_prepare
+	local set="grub-0.97.tar.gz lwip-1.3.0.tar.gz newlib-1.16.0.tar.gz polarssl-1.1.4-gpl.tgz zlib-1.2.3.tar.gz"
+
+	# eapply can't patch in $WORKDIR, requires a sed; Bug #455194. Patchable, but sed informative
+	sed -e s':AR=${AR-"ar rc"}:AR=${AR-"ar"}:' \
+		-i "${WORKDIR}"/zlib-1.2.3/configure || die
+	sed -e 's:^AR=ar rc:AR=ar:' \
+		-e s':$(AR) $@:$(AR) rc $@:' \
+		-i "${WORKDIR}"/zlib-1.2.3/{Makefile,Makefile.in} || die
+	einfo "zlib Makefile edited"
+
+	cd "${WORKDIR}" || die
+	tar czp zlib-1.2.3 -f zlib-1.2.3.tar.gz || die
+	tar czp grub-0.97 -f grub-0.97.tar.gz || die
+	tar czp lwip -f lwip-1.3.0.tar.gz || die
+	tar czp newlib-1.16.0 -f newlib-1.16.0.tar.gz || die
+	tar czp polarssl-1.1.4 -f polarssl-1.1.4-gpl.tgz || die
+	mv $set "${S}"/stubdom/ || die
+	einfo "tarballs moved to source"
+}
+
+src_prepare() {
+	# Upstream's patchset
+	if [[ -n ${UPSTREAM_VER} ]]; then
+		einfo "Try to apply Xen Upstream patch set"
+		EPATCH_SUFFIX="patch" \
+		EPATCH_FORCE="yes" \
+		EPATCH_OPTS="-p1" \
+			eapply "${WORKDIR}"/patches-upstream
+	fi
+
+	# if the user *really* wants to use their own custom-cflags, let them
+	if use custom-cflags; then
+		einfo "User wants their own CFLAGS - removing defaults"
+		# try and remove all the default custom-cflags
+		find "${S}" -name Makefile -o -name Rules.mk -o -name Config.mk -exec sed \
+			-e 's/CFLAGS\(.*\)=\(.*\)-O3\(.*\)/CFLAGS\1=\2\3/' \
+			-e 's/CFLAGS\(.*\)=\(.*\)-march=i686\(.*\)/CFLAGS\1=\2\3/' \
+			-e 's/CFLAGS\(.*\)=\(.*\)-fomit-frame-pointer\(.*\)/CFLAGS\1=\2\3/' \
+			-e 's/CFLAGS\(.*\)=\(.*\)-g3*\s\(.*\)/CFLAGS\1=\2 \3/' \
+			-e 's/CFLAGS\(.*\)=\(.*\)-O2\(.*\)/CFLAGS\1=\2\3/' \
+			-i {} \;
+	fi
+
+	# Patch the unmergeable newlib, fix most of the leftover gcc QA issues
+	cp "${FILESDIR}"/newlib-implicits.patch stubdom || die
+
+	# Patch stubdom/Makefile to patch insource newlib & prevent internal downloading
+	eapply "${FILESDIR}"/${PN/-pvgrub/}-4.10-externals.patch
+
+	# fix jobserver in Makefile
+	eapply "${FILESDIR}"/${PN}-4.8-jserver.patch
+
+	#Substitute for internal downloading. pciutils copied only due to the only .bz2
+	cp "${DISTDIR}"/pciutils-2.2.9.tar.bz2 ./stubdom/ || die "pciutils not copied to stubdom"
+	retar-externals || die "re-tar procedure failed"
+
+	default
+}
+
+src_configure() {
+	local myconf="--prefix=${PREFIX}/usr \
+		--libdir=${PREFIX}/usr/$(get_libdir) \
+		--libexecdir=${PREFIX}/usr/libexec \
+		--disable-werror \
+		--disable-xen"
+
+	econf ${myconf}
+}
+
+src_compile() {
+	use custom-cflags || unset CFLAGS
+	if test-flag-CC -fno-strict-overflow; then
+		append-flags -fno-strict-overflow
+	fi
+
+	emake CC="$(tc-getCC)" LD="$(tc-getLD)" AR="$(tc-getAR)" -C tools/include
+	emake CC="$(tc-getCC)" LD="$(tc-getLD)" AR="$(tc-getAR)" -C tools/libs
+
+	if use x86; then
+		emake CC="$(tc-getCC)" LD="$(tc-getLD)" AR="$(tc-getAR)" \
+		XEN_TARGET_ARCH="x86_32" -C stubdom pv-grub
+	elif use amd64; then
+		emake CC="$(tc-getCC)" LD="$(tc-getLD)" AR="$(tc-getAR)" \
+		XEN_TARGET_ARCH="x86_64" -C stubdom pv-grub
+		if has_multilib_profile; then
+			multilib_toolchain_setup x86
+			emake CC="$(tc-getCC)" AR="$(tc-getAR)" \
+			XEN_TARGET_ARCH="x86_32" -C stubdom pv-grub
+		fi
+	fi
+}
+
+src_install() {
+	if use x86; then
+		emake XEN_TARGET_ARCH="x86_32" DESTDIR="${D}" -C stubdom install-grub
+	fi
+	if use amd64; then
+		emake XEN_TARGET_ARCH="x86_64" DESTDIR="${D}" -C stubdom install-grub
+		if has_multilib_profile; then
+			emake XEN_TARGET_ARCH="x86_32" DESTDIR="${D}" -C stubdom install-grub
+		fi
+	fi
+}
+
+pkg_postinst() {
+	elog "Official Xen Guide and the offical wiki page:"
+	elog "https://wiki.gentoo.org/wiki/Xen"
+	elog "https://wiki.xen.org/wiki/Main_Page"
+}


             reply	other threads:[~2019-10-06 12:45 UTC|newest]

Thread overview: 109+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-10-06 12:45 Thomas Deutschmann [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-04-18  1:44 [gentoo-commits] repo/gentoo:master commit in: app-emulation/xen-pvgrub/ Sam James
2021-04-18  1:41 Sam James
2021-04-17  7:49 Joonas Niilola
2021-02-04 22:27 Thomas Deutschmann
2021-02-01 19:24 Thomas Deutschmann
2020-11-27 16:55 Thomas Deutschmann
2020-11-11  0:47 Sam James
2020-11-10 18:48 Sam James
2020-11-10 15:29 Thomas Deutschmann
2020-09-19  8:04 Michał Górny
2020-09-18 15:05 Agostino Sarubbo
2020-09-15 17:22 Thomas Deutschmann
2020-07-26 16:22 Thomas Deutschmann
2020-07-26 16:22 Thomas Deutschmann
2020-06-26 23:00 Thomas Deutschmann
2020-06-17 15:25 Thomas Deutschmann
2020-06-12  7:55 Agostino Sarubbo
2020-06-12  7:51 Agostino Sarubbo
2020-05-25 14:21 Yixun Lan
2020-05-25 14:21 Yixun Lan
2020-05-25 14:21 Yixun Lan
2020-04-30 14:46 Yixun Lan
2020-03-13 15:10 Yixun Lan
2020-03-12 16:26 Agostino Sarubbo
2020-03-12 16:21 Agostino Sarubbo
2020-03-01 23:59 Yixun Lan
2020-03-01 23:59 Yixun Lan
2019-12-20 10:08 Yixun Lan
2019-12-17 16:36 Yixun Lan
2019-12-15 14:05 Yixun Lan
2019-12-15 13:43 Agostino Sarubbo
2019-12-13 14:37 Agostino Sarubbo
2019-12-10  9:43 Yixun Lan
2019-12-10  9:43 Yixun Lan
2019-11-29 14:51 Yixun Lan
2019-11-13 14:11 Yixun Lan
2019-10-27  7:44 Yixun Lan
2019-10-24  3:07 Yixun Lan
2019-10-24  3:07 Yixun Lan
2019-10-23 12:45 Agostino Sarubbo
2019-10-23 12:30 Agostino Sarubbo
2019-07-08 12:10 Thomas Deutschmann
2019-06-20 18:04 Mikle Kolyada
2019-04-03  4:55 Yixun Lan
2019-04-03  4:55 Yixun Lan
2019-03-28  5:44 Yixun Lan
2019-03-27 23:44 Thomas Deutschmann
2019-03-15 22:49 Thomas Deutschmann
2019-03-08 12:39 Mikle Kolyada
2019-03-07 13:35 Yixun Lan
2019-03-07 13:35 Yixun Lan
2019-02-16 13:59 Yixun Lan
2019-02-16 13:59 Yixun Lan
2019-02-13 13:41 Thomas Deutschmann
2019-01-19  3:22 Thomas Deutschmann
2018-12-15 14:13 Yixun Lan
2018-11-21 22:55 Yixun Lan
2018-11-15 15:48 Thomas Deutschmann
2018-11-12  7:06 Mikle Kolyada
2018-10-02 11:03 Thomas Deutschmann
2018-09-18  7:24 Agostino Sarubbo
2018-09-17 15:30 Thomas Deutschmann
2018-09-17 15:30 Thomas Deutschmann
2018-09-10  9:36 Thomas Deutschmann
2018-04-26 21:07 Mikle Kolyada
2018-04-20  5:54 Yixun Lan
2018-04-09  0:03 Aaron Bauman
2018-04-09  0:03 Aaron Bauman
2017-12-05  2:24 Yixun Lan
2017-11-22  1:45 Yixun Lan
2017-11-22  1:45 Yixun Lan
2017-11-03 18:05 Yixun Lan
2017-11-02 21:16 Thomas Deutschmann
2017-10-13  8:05 Yixun Lan
2017-09-30  5:40 Yixun Lan
2017-09-30  5:40 Yixun Lan
2017-07-31  9:01 Tobias Klausmann
2017-07-12  8:37 Yixun Lan
2017-07-12  7:25 Yixun Lan
2017-05-11 10:26 Yixun Lan
2017-05-10 15:44 Agostino Sarubbo
2017-05-10  9:32 Agostino Sarubbo
2017-05-02  9:01 Yixun Lan
2017-04-20  7:59 David Seifert
2017-04-09  0:10 Yixun Lan
2016-12-28  9:06 Yixun Lan
2016-12-26 19:10 Thomas Deutschmann
2016-12-26 12:58 Aaron Bauman
2016-12-03  4:07 Yixun Lan
2016-11-28  4:13 Yixun Lan
2016-11-26 10:44 Agostino Sarubbo
2016-11-26 10:36 Agostino Sarubbo
2016-11-15 10:12 Yixun Lan
2016-11-11  7:23 Yixun Lan
2016-10-05 10:05 Yixun Lan
2016-07-28 14:56 Agostino Sarubbo
2016-07-28 14:51 Agostino Sarubbo
2016-06-27  7:38 Yixun Lan
2016-05-15  3:13 Ian Delaney
2016-02-18  3:17 Yixun Lan
2016-01-05 14:21 Agostino Sarubbo
2016-01-05 11:23 Agostino Sarubbo
2016-01-05  1:00 Ian Delaney
2015-12-04  4:10 Ian Delaney
2015-11-29  2:23 Ian Delaney
2015-11-10  8:50 Agostino Sarubbo
2015-11-05  7:54 Yixun Lan
2015-10-09  3:37 Yixun Lan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1570365871.a7b3e60c8f5a949a10f072a74648bc86fd7fbfad.whissi@gentoo \
    --to=whissi@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox